from email.Header import Header
import quopri, smtplib

email_template = """Subject: %(subject)s
To: %(to)s
From: %(from)s
Content-Type: text/plain; charset="utf-8"
Content-Transfer-Encoding:  quoted-printable
Mime-Version: 1.0

%(body)s
"""

def send_email(self, mailing_list=[]):
    """Sends out an email message."""
    body = str(self.message)
    body = body.decode('utf-8')
    body = body.encode('utf-8')
    body = quopri.encodestring(body)
    title = Header(self.title, 'utf-8').encode()
    failed = []
    for recipient in mailing_list:
        try:
            email = email_template % {'body':body, 'to':recipient,
                    'from':self.email_from,
                    'subject':title
            }
            connection = smtplib.SMTP('localhost')
            connection.sendmail(self.email_from, [recipient], email)
        except:
            failed.append(recipient)
    return failed
